package com.kxs.common.mq.handlers;


import com.kxs.common.mq.model.AbstractMQ;


/**
 * MQ 消息发送器 接口定义
 *
 * @author 没秃顶的码农
 * @date 2024-04-25
 */
public interface IMQSender {

    /** 推送MQ消息， 实时 **/
    void send(AbstractMQ mqModel);

    /** 推送MQ消息， 延迟接收，单位：s **/
    void send(AbstractMQ mqModel, int delay);

}
